Bug 122718 - Study sysutils/screen to 512 PTYs, and one new useful option
Summary: Study sysutils/screen to 512 PTYs, and one new useful option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-13 14:50 UTC by Valentin Nechayev
Modified: 2008-06-10 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.11 KB, patch)
2008-04-13 14:50 UTC, Valentin Nechayev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Valentin Nechayev 2008-04-13 14:50:00 UTC
This is change request to sysutils/screen to:

1. Know about 512 PTYs, according to last FreeBSD changes.
2. Allow to print host in locked message, which is quite useful in cascaded
screen usage (e.g. screen contains terminal with ssh session to another host
also with screen).

Fix: 

Apply the following patch.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-13 14:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Cy Schubert freebsd_committer 2008-04-14 06:49:19 UTC
State Changed
From-To: open->feedback

Emailed the submitter of this patch to explain why the need for the 
HOSTINLOCKED option.
Comment 3 dfilter service freebsd_committer 2008-06-10 06:53:22 UTC
cy          2008-06-10 05:53:18 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/screen      Makefile 
  Log:
  Add optional patch to include hostname in screen's "locked" message.
  
  PR:             122718
  Submitted by:   Valentin Nechayev <netch@netch.kiev.ua>
  
  Revision  Changes    Path
  1.75      +6 -1      ports/sysutils/screen/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cy Schubert freebsd_committer 2008-06-10 06:53:45 UTC
State Changed
From-To: feedback->closed

Comitted. Thanks.
Comment 5 dfilter service freebsd_committer 2008-06-10 08:23:33 UTC
cy          2008-06-10 07:23:27 UTC

  FreeBSD ports repository

  Added files:
    sysutils/screen/files opt-hostinlocked 
  Log:
  Add optional patch to include hostname in screen's "locked" message.
  
  PR:             122718
  Submitted by:   Valentin Nechayev <netch@netch.kiev.ua>
  
  Revision  Changes    Path
  1.1       +21 -0     ports/sysutils/screen/files/opt-hostinlocked (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"